apiVersion: apps/v1
kind: Deployment
metadata:
  name: cs2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cs2
  template:
    metadata:
      labels:
        app: cs2
    spec:
      containers:
        - name: cs2
          image: joedwards32/cs2:latest
          ports:
            - name: "gameport"
              containerPort: 27015
              protocol: UDP
            - name: "rcon"
              containerPort: 27015
              protocol: TCP
            - name: "cstv"
              containerPort: 27020
              protocol: TCP
          env:
            - name: SRCDS_TOKEN
              valueFrom:
                secretKeyRef:
                  name: cs2-config
                  key: srcds-token
            - name: CS2_SERVERNAME
              value: "server_name"
            - name: CS2_CHEATS
              value: "0"
            - name: CS2_IP
              value: "0.0.0.0"
            - name: CS2_PORT
              value: "27015"
            - name: CS2_RCON_PORT
              value: ""
            - name: CS2_LAN
              value: "0"
            - name: CS2_RCONPW
              valueFrom:
                secretKeyRef:
                  name: cs2-config
                  key: rcon-password
            - name: CS2_PW
              value: ""
            - name: CS2_MAXPLAYERS
              value: "10"
            - name: CS2_ADDITIONAL_ARGS
              value: ""
            - name: CS2_GAMEALIAS
              value: "competitive"
            - name: CS2_STARTMAP
              value: "de_mirage"
            - name: TV_ENABLE
              value: "0"
            - name: TV_PORT
              value: "27020"
            - name: TV_AUTORECORD
              value: "1"
            - name: TV_PW
              value: ""
            - name: TV_RELAY_PW
              value: ""
            - name: TV_MAXRATE
              value: "0"
            - name: TV_DELAY
              value: "0"
          volumeMounts:
          - mountPath: /home/steam/cs2-dedicated/
            name: cs2-data
      volumes:
        - name: cs2-data
          persistentVolumeClaim:
            claimName: cs2-pvc